"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const defaultGroups = [["^@\\w", "^\\w"], ["^\\.\\./", "^\\./"], ["\\.s?css$"]];
function Index(styleApi, _file, options) {
    const groups = options && options.groups ? options.groups : defaultGroups;
    const { and, hasNoMember, hasDefaultMember, hasNamespaceMember, hasNamedMembers, isAbsoluteModule, isRelativeModule, } = styleApi;
    return groups.flatMap((group) => {
        return [
            { match: and(hasNoMember, isAbsoluteModule) },
            { separator: true },
            { match: and(hasNoMember, isRelativeModule) },
            { separator: true },
            ...group.flatMap((regex) => {
                const match = (imported) => Boolean(new RegExp(regex).exec(imported.moduleName));
                return [
                    { match: and(match, hasNamespaceMember) },
                    { match: and(match, hasDefaultMember) },
                    { match: and(match, hasNamedMembers) },
                ];
            }),
            { separator: true },
        ];
    });
}
exports.default = Index;
